org.richfaces.renderkit

## Class SortingFilteringRowsRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AbstractRowsRenderer
      - - org.richfaces.renderkit.SortingFilteringRowsRenderer

- All Implemented Interfaces:
    DataVisitor
  Direct Known Subclasses:
    AbstractTableBaseRenderer, SelectionRenderer

      public abstract class SortingFilteringRowsRenderer
      extends AbstractRowsRenderer

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortingFilteringRowsRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decodeFiltering(javax.faces.context.FacesContext context, UIDataTableBase dataTableBase, String value)`
    `protected void` | `decodeSorting(javax.faces.context.FacesContext context, UIDataTableBase dataTableBase, String value)`
    `protected void` | `decodeSortingFiltering(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected boolean` | `isBuiltInSortRequiredFocColumn(String facetName, javax.faces.component.UIComponent column)`
    `protected boolean` | `isFilterRowRequiredForColumn(String facetName, javax.faces.component.UIComponent column)`
    `protected void` | `renderFilterRow(javax.faces.context.FacesContext context, UIDataTableBase table, Iterator<javax.faces.component.UIComponent> columns, String cssPrefix)`
    `protected void` | `renderSortButton(javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, String cssPrefix)`
    `protected void` | `updateAttribute(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String attribute, Object value)`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `createRowHolder, doCleanup, doEncodeChildren, encodeFakeRow, encodeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortingFilteringRowsRenderer

          public SortingFilteringRowsRenderer()

  - ### Method Detail

    - #### decodeSortingFiltering

          protected void decodeSortingFiltering(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component)

    - #### decodeFiltering

          protected void decodeFiltering(javax.faces.context.FacesContext context,
                                         UIDataTableBase dataTableBase,
                                         String value)

    - #### decodeSorting

          protected void decodeSorting(javax.faces.context.FacesContext context,
                                       UIDataTableBase dataTableBase,
                                       String value)

    - #### updateAttribute

          protected void updateAttribute(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         String attribute,
                                         Object value)

    - #### renderFilterRow

          protected void renderFilterRow(javax.faces.context.FacesContext context,
                                         UIDataTableBase table,
                                         Iterator<javax.faces.component.UIComponent> columns,
                                         String cssPrefix)
                                  throws IOException

      Throws:
        `IOException`

    - #### renderSortButton

          protected void renderSortButton(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent column,
                                          String cssPrefix)
                                   throws IOException

      Throws:
        `IOException`

    - #### isFilterRowRequiredForColumn

          protected boolean isFilterRowRequiredForColumn(String facetName,
                                                         javax.faces.component.UIComponent column)

    - #### isBuiltInSortRequiredFocColumn

          protected boolean isBuiltInSortRequiredFocColumn(String facetName,
                                                           javax.faces.component.UIComponent column)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.